package org.gcube.common.scope.api;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * Marks a {@link ScopeProvider} implementations to use in place of {@link DefaultScopeProvider}
 * 
 * @author Fabio Simeoni
 * 
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
@Inherited
@Documented
public @interface DefaultScopeProvider {}
